util-linux 2.12a fails, headers = kernel 2.6.6

Durk van Veen nntp.durk at cox.net
Tue May 11 13:14:31 PDT 2004


[snip]

> Great!!!  So I could use LFS 5.0 or 6.0, use my current 2.4 headers
> (I'm building inside Slackware 9.1 running in VMware Workstation 4.5
> with access to a real physical disk), and when it comes time to build
> the kernel I can just build a 2.6 kernel instead of a 2.4?

I have two systems that I built in the way you describe. One works, and the
other doesn't totally work for reasons I've been so far too lazy to
investigate. The system that works was built using 2.4.25 headers and is
running 2.6.5. This system is a firewall/router so it doesn't run X. On this
system everything is fine.

The other system was originally built using 2.4.22 headers and is currently
running 2.4.26. I tried running 2.6.4 on this system but when I did, X
failed to start. Reboot back into a 2.4 kernel and everything works... I'm
running KDE 3.2.2 using KDM as the login manager on this, booting to
runlevel 5. I have no idea yet what's causing the problem.





More information about the lfs-support mailing list